[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] CVS E17 doesn't compile



My builds are normally automated, but this time it wasn't as flawless
as usual and I know why now thanks to you guys. When the script tried
to install ecore, it couldn't and had some failed dependencies as
shown below.
I know how to fix this for the RPM case. ;)

error: Failed dependencies:
       libecore_fb.so.1 is needed by (installed) evidence-0.9.8-1.20060309cvs.i
       libecore_fb.so.1 is needed by (installed) rage-0.1.0-1.i386
       libecore_fb.so.1 is needed by (installed) ephoto-0.15.0-1.20060330cvs.i3
       libecore_fb.so.1 is needed by (installed) erss-0.0.2-1.20060501cvs.i386
       libecore_fb.so.1 is needed by (installed) examine-0.0.1-1.20060731cvs.i3
       libecore_fb.so.1 is needed by (installed) ewl-0.0.4.007-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) enlightenment-0.16.999.032-1.2
       libecore_fb.so.1 is needed by (installed) engage-0.0.9-1.20060812cvs.i38
       libecore_fb.so.1 is needed by (installed) engrave-0.1.0-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) e_utils-0.0.1-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) etk-0.1.0.002-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) exhibit-0.0.1-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) evfs-0.0.1-1.20060812cvs.i386
       libecore_fb.so.1 is needed by (installed) entropy-0.0.1-1.20060812cvs.i3
       libecore_fb.so.1 is needed by (installed) edje-0.5.0.032-1.20060819cvs.i
       libecore_fb.so.1 is needed by (installed) epsilon-0.3.0.007-1.20060819cv
       libecore_fb.so.1 is needed by (installed) esmart-0.9.0.007-1.20060819cvs
       libecore_fb.so.1 is needed by (installed) emotion-0.0.1.004-1.20060819cv
       libecore_fb.so.1 is needed by (installed) eclair-0.0.1-1.20060819cvs.i38
       libecore_fb.so.1 is needed by (installed) iconbar-0.9.1-1.20060819cvs.i3
       libecore_fb.so.1 is needed by (installed) entice-0.9.3.004-1.20060819cvs
       libecore_fb.so.1 is needed by (installed) entrance-0.9.0.008-1.20060819c
       libecore_fb.so.1 is needed by (installed) elicit-0.9.1-1.20060819cvs.i38


--
With kind regards,
Didier.

------------
Yum/apt repository for DR17/EFL: http://sps.nus.edu.sg/~didierbe

On 8/20/06, The Rasterman Carsten Haitzler <raster@rasterman.com> wrote:
On Sat, 19 Aug 2006 12:59:55 -0400 dan sinclair <zero@perplexity.org> babbled:

> Yes, because your missing ecore_desktop. It was just added to ecore
> about a week ago and is only used by a few things at the moment.
> Missing this library will cause both ewl and e to fail as they both
> use it.
>
> If you look at the line mentioned it's specifically if (!
> ecore_desktop_init()). So, either a) your missing ecore_desktop for
> some reason, b) your ecore is out of date or c) you have two copies
> of ecore sitting around.

or your rpms are missing the header files for it or something. it "works here"
from source. all the headers are there and libs and not a complaint in sight
like the one you have.

> dan
>
>
>
> On 19-Aug-06, at 12:51 PM, Didier Casse wrote:
>
> > On 8/19/06, The Rasterman Carsten Haitzler <raster@rasterman.com>
> > wrote:
> >> On Sat, 19 Aug 2006 16:15:13 +0800 "Didier Casse"
> >> <didier.casse@gmail.com>
> >> babbled:
> >>
> >> my guess - your ecore is not up to date
> >
> > Wrong guess I' m afraid Carsten. I always update every libraries. This
> > time ewl also sucked.
> >
> > I' ll just wait for a while as usual and see if I can compile
> > everything again.
> >
> > --
> > With kind regards,
> > Didier.
> >
> > ------------
> > Yum/apt repository for DR17/EFL: http://sps.nus.edu.sg/~didierbe
> >
> > ----------------------------------------------------------------------
> > ---
> > Using Tomcat but need to do more? Need to support web services,
> > security?
> > Get stuff done quickly with pre-integrated technology to make your
> > job easier
> > Download IBM WebSphere Application Server v.1.0.1 based on Apache
> > Geronimo
> > http://sel.as-us.falkag.net/sel?
> > cmd=lnk&kid=120709&bid=263057&dat=121642
> > _______________________________________________
> > enlightenment-devel mailing list
> > enlightenment-devel@lists.sourceforge.net
> > https://lists.sourceforge.net/lists/listinfo/enlightenment-devel
>
>
> -------------------------------------------------------------------------
> Using Tomcat but need to do more? Need to support web services, security?
> Get stuff done quickly with pre-integrated technology to make your job easier
> Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
> http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
> _______________________________________________
> enlightenment-devel mailing list
> enlightenment-devel@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/enlightenment-devel
>


--
------------- Codito, ergo sum - "I code, therefore I am" --------------
The Rasterman (Carsten Haitzler)    raster@rasterman.com
裸好多
Tokyo, Japan (東京 日本)